/* =========================
*			GLOBAL
*  =========================
*/

.link:hover {
	-fx-text-fill : #4f59e8;
	-fx-underline: true;
	-fx-cursor: hand;
}

/* =========================
*			HOME
*  =========================
*/

.text-field, .text-field .content {
    -fx-background-color: transparent ;
    -fx-background-insets: 0px ;
    -fx-padding: 0 0 0 0;
    -fx-text-alignment:justify;
}

.text-field:focused {
    -fx-background-color: transparent ;
    -fx-background-insets: 0px ;
    -fx-text-alignment:justify;
}


/* =========================
*			MENU
*  =========================
*/

.menu_background {
	-fx-background-color: #2262C6;
	-fx-spacing : 0px;
}

.menu_button {
	-fx-background-color: transparent;
	-fx-text-fill: white;
	-fx-padding: 0 0 0 0;
}

.menu_active_button {
	-fx-background-color: white;
	-fx-text-fill: black;
	-fx-padding: 0 0 0 0;
}

.menu_button:hover {
	-fx-background-color: #2240c6;
	-fx-text-fill: white;
}

.menu_separator {
	-fx-background-color: white;
}



.option_button {
	-fx-background-color: transparent;
	-fx-padding: 0 0 0 0;
}

.option_button .label {
	-fx-text-fill: white;
}

.option_button:hover {
	-fx-background-color: #2240c6;
	-fx-padding: 0 0 0 0;
}

.option_item .label {
	-fx-text-fill: black;
}

.option_item:focused .label {
	-fx-text-fill: white;
}


.languages_combo_box {
	-fx-background-color: transparent;
}

.languages_combo_box:hover {
	-fx-background-color: #2240c6;
}

.languages_combo_box .cell{
     -fx-text-fill: white;
     -fx-background-color: #2262C6;
}

.languages_combo_box .cell:hover{
     -fx-background-color: #2240c6;
}

/* GRAPH MENU */

.graph_button {
	-fx-background-color: transparent;
	-fx-padding: 0 0 0 0;
	-fx-text-fill: white;
	-fx-border-color:#595959;
	-fx-border-width: 1 1 1 1;
}

.graph_button:hover {
	-fx-background-color: #595959;
	-fx-text-fill: white;
}


/* =========================
*			HELP VIEW
*  =========================
*/

#def_background {
	-fx-background-color:  #323536;
}

.def_button {
	-fx-border: none;
	-fx-background-color: transparent;
	-fx-text-fill: white;
	-fx-padding: 0 0 0 10;
}

.def_active_button {
	-fx-border: none;
	-fx-background-color: #c9c9c9;
	-fx-text-fill: #323536;
	-fx-padding: 0 0 0 10;
}

.def_button:hover {
	-fx-background-color: #1e2021;
}


/* =========================
*		STREAMS TABLE
*  =========================
*/

.table-row-cell:empty {
    -fx-background-color: transparent;
    -fx-border-color: transparent; /* Vertical Lines*/ /*et horizontales */
    -fx-border-width: 0 0 0 0; /*droite hautbas gauche */
}

.table-row-cell:odd:filled {
    -fx-background-color: #F7F7F7;
}

.table-row-cell:even:filled {
    -fx-background-color: #EDEDED;
}

/* =========================
*			GRAPH	
*  =========================
*/

.chart-series-line {
	-fx-stroke-width: 2px;
}

.default-color0.chart-series-line{-fx-stroke: #345feb;}
.default-color1.chart-series-line{-fx-stroke: #eb3a34;}

.default-color0.chart-line-symbol{-fx-background-color: #345feb, #ffffff;}
.default-color1.chart-line-symbol{-fx-background-color: #eb3a34, #ffffff;}
